Package org.globus.ftp.dc

# Class EBlockImageDCWriter

java.lang.Object
org.globus.ftp.dc.EBlockAware
org.globus.ftp.dc.EBlockImageDCWriter

All Implemented Interfaces:
  `DataChannelWriter`

public class EBlockImageDCWriter extends EBlockAware implements DataChannelWriter

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DataOutputStream`
`output`

### Fields inherited from class org.globus.ftp.dc.EBlockAware

`context, EOD, EOF, WILL_CLOSE`

## Constructor Summary

Constructors
Constructor
Description
`EBlockImageDCWriter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`static void`
`close(DataOutputStream myOutput)`
`void`
`endOfData()`
`void`
`setDataStream(OutputStream out)`
`void`
`write(Buffer buf)`

### Methods inherited from class org.globus.ftp.dc.EBlockAware

`setTransferContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### output

protected DataOutputStream output

## Constructor Details

### EBlockImageDCWriter

public EBlockImageDCWriter()

## Method Details

### setDataStream

public void setDataStream(OutputStream out)

Specified by:
  `setDataStream` in interface `DataChannelWriter`

### write

public void write(Buffer buf) throws IOException

Specified by:
  `write` in interface `DataChannelWriter`
Throws:
  `IOException`

### endOfData

public void endOfData() throws IOException

Specified by:
  `endOfData` in interface `DataChannelWriter`
Throws:
  `IOException`

### close

public static void close(DataOutputStream myOutput) throws IOException

Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `DataChannelWriter`
Throws:
  `IOException`